Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSWildcardDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSWildcardDecl

All Implemented Interfaces:
  XSObject, XSTerm, XSWildcard

public class XSWildcardDecl
extends java.lang.Object
implements XSWildcard

The XML representation for a wildcard declaration schema component is an or element information item

Version:
  $Id: XSWildcardDecl.java,v 1.10 2003/01/14 20:21:45 elena Exp $
Author:
  Sandy Gao, IBM, Rahul Srivastava, Sun Microsystems Inc.

Field Summary
`static java.lang.String` | `ABSENT`
`java.lang.String[]` | `fNamespaceList`
`short` | `fProcessContents`
`short` | `fType`

Fields inherited from interface org.apache.xerces.impl.xs.psvi.XSWildcard
`NSCONSTRAINT_ANY, NSCONSTRAINT_LIST, NSCONSTRAINT_NOT, PC_LAX, PC_SKIP, PC_STRICT`

Constructor Summary
`XSWildcardDecl()`

Method Summary
`boolean` | `allowNamespace(java.lang.String namespace)` Validation Rule: Wildcard allows Namespace Name
`XSAnnotation` | `getAnnotation()` Optional.
`short` | `getConstraintType()` Namespace constraint: A constraint type: any, not, list.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`StringList` | `getNsConstraintList()` Namespace constraint.
`short` | `getProcessContents()` {process contents} One of skip, lax or strict.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`boolean` | `isSubsetOf(XSWildcardDecl superWildcard)` Schema Component Constraint: Wildcard Subset
`XSWildcardDecl` | `performIntersectionWith(XSWildcardDecl wildcard, short processContents)` Schema Component Constraint: Attribute Wildcard Intersection
`XSWildcardDecl` | `performUnionWith(XSWildcardDecl wildcard, short processContents)` Schema Component Constraint: Attribute Wildcard Union
`java.lang.String` | `toString()`
`boolean` | `weakerProcessContents(XSWildcardDecl superWildcard)` Check whether this wildcard has a weaker process contents than the super.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSENT

    public static final java.lang.String ABSENT

### fType

    public short fType

### fProcessContents

    public short fProcessContents

### fNamespaceList

    public java.lang.String[] fNamespaceList

Constructor Detail

### XSWildcardDecl

    public XSWildcardDecl()

Method Detail

### allowNamespace

    public boolean allowNamespace(java.lang.String namespace)

  Validation Rule: Wildcard allows Namespace Name

### isSubsetOf

    public boolean isSubsetOf(XSWildcardDecl superWildcard)

  Schema Component Constraint: Wildcard Subset

### weakerProcessContents

    public boolean weakerProcessContents(XSWildcardDecl superWildcard)

  Check whether this wildcard has a weaker process contents than the super.

### performUnionWith

    public XSWildcardDecl performUnionWith(XSWildcardDecl wildcard,
                                           short processContents)

  Schema Component Constraint: Attribute Wildcard Union

### performIntersectionWith

    public XSWildcardDecl performIntersectionWith(XSWildcardDecl wildcard,
                                                  short processContents)

  Schema Component Constraint: Attribute Wildcard Intersection

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getConstraintType

    public short getConstraintType()

  Namespace constraint: A constraint type: any, not, list.
  Specified by:
    `getConstraintType` in interface `XSWildcard`

### getNsConstraintList

    public StringList getNsConstraintList()

  Namespace constraint. For `constraintType` LIST_NSCONSTRAINT, the list contains allowed namespaces. For `constraintType` NOT_NSCONSTRAINT, the list contains disallowed namespaces.
  Specified by:
    `getNsConstraintList` in interface `XSWildcard`

### getProcessContents

    public short getProcessContents()

  {process contents} One of skip, lax or strict. Valid constants values are: SKIP_PROCESS, LAX_PROCESS, STRING_PROCESS.
  Specified by:
    `getProcessContents` in interface `XSWildcard`

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `XSWildcard`

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.